with Interfaces;

with P42.Sha_Constants;
with P42.ShaXXX;
pragma Elaborate_All (P42.ShaXXX);
with P42.Swap_Unsigned_64;

package P42.Sha384 is new P42.ShaXXX (Interfaces.Unsigned_64,
                                      P42.Sha_Constants.Unsigned_64_Array,
                                      1024,
                                      896,
                                      P42.Sha_Constants.Sha512_Rotation_Matrix,
                                      P42.Sha_Constants.K_512,
                                      P42.Sha_Constants.H_Init_384,
                                      Interfaces.Rotate_Right,
                                      Interfaces.Shift_Right,
                                      Interfaces.Shift_Left,
                                      P42.Swap_Unsigned_64.To_Big_Endian,
                                      2);
