--  with Ada.Text_IO;
with Ada.Strings.Unbounded; use Ada.Strings.Unbounded;

package body P42.Convert.Numeric_2_Characters.Binary is

   function Binary_To_String (N : Natural; Width : Natural := 0)
                             return String is
      Val_Return : Unbounded_String := Null_Unbounded_String;
   begin
      Val_Return := Base_To_String (N, Natural (T_Binary'Last) + 1);
      Val_Return := Preformat (Val_Return, Width);
      return Format (To_String (Val_Return));
   end Binary_To_String;

   function Format (S : String) return String is
      Tmp : Natural := 0;
      Val_Tmp : constant Unbounded_String := To_Unbounded_String (S);
      Val_Return : Unbounded_String := Null_Unbounded_String;
   begin
      for I in reverse 1 .. (Length (Val_Tmp)) loop
         Tmp := Tmp + 1;
         if (Tmp = 5) then
            Val_Return := To_Unbounded_String (" ") & Val_Return;
            Tmp := 1;
         end if;
         Val_Return := Slice (Val_Tmp, I, I) & Val_Return; -- Slice= tranche
      end loop;
      return To_String (Val_Return);
   end Format;
end P42.Convert.Numeric_2_Characters.Binary;
