package body P42.Elog is
   procedure Init (ESI : in out T_Elog_Server_Information;
                   Hostname : String;
                   Port_Number : Positive) is
   begin
      ESI.Hostname := Ada.Strings.Unbounded.To_Unbounded_String (Hostname);
      ESI.Port_Number := Port_Number;
   exception
      when others =>
         raise Elog_Server_Information_Initialization_Error;
   end Init;

   function Get_Hostname (ESI : T_Elog_Server_Information) return String is
   begin
      return Ada.Strings.Unbounded.To_String (ESI.Hostname);
   end Get_Hostname;

   function Get_Port_Number (ESI : T_Elog_Server_Information) return Positive is
   begin
      return ESI.Port_Number;
   end Get_Port_Number;
end P42.Elog;
