package body P42.Images is

   function To_String (Pattern : Selection_Pattern) return String is
      Pattern_Image : String (Pattern'First .. Pattern'Last) := (others => '0');
   begin
      for I in Pattern'Range loop
         if Pattern (I) then
            Pattern_Image (I) := '1';
         end if;
      end loop;
      return Pattern_Image;
   end To_String;

   function To_Pattern (Pattern_Image : String) return Selection_Pattern is
      Pattern : Selection_Pattern (Pattern_Image'First .. Pattern_Image'Last) := (others => False);
   begin
      for I in Pattern_Image'Range loop
         if Pattern_Image (I) = '1' then
            Pattern (I) := True;
         end if;
      end loop;
      return Pattern;
   end To_Pattern;

end P42.Images;
