with Interfaces;

with P42.Sha_Constants;
with P42.ShaXXX;
with P42.Swap_Unsigned_32;
pragma Elaborate_All (P42.ShaXXX);

package P42.Sha224 is new P42.ShaXXX (Interfaces.Unsigned_32,
                                      P42.Sha_Constants.Unsigned_32_Array,
                                      512,
                                      448,
                                      P42.Sha_Constants.Sha256_Rotation_Matrix,
                                      P42.Sha_Constants.K_256,
                                      P42.Sha_Constants.H_Init_224,
                                      Interfaces.Rotate_Right,
                                      Interfaces.Shift_Right,
                                      Interfaces.Shift_Left,
                                      P42.Swap_Unsigned_32.To_Big_Endian,
                                      1);
