--  P42 base package.
--  @version 0.0.1

package P42
  with Pure => True is

   type String_Couple_Type (Key_Length : Positive;
                            Value_Length : Positive) is record
      Key : String (1 .. Key_Length);
      Value : String (1 .. Value_Length);
   end record;

   function To_String_Couple (Key : String;
                              Value : String) return String_Couple_Type is
      ((Key_Length => Key'Length,
        Value_Length => Value'Length,
        Key => Key,
        Value => Value));

end P42;
