with Ada.Text_IO;

with P42.String_Manipulation;

procedure Test_String_Manipulation is
   Source : constant String := "0123456789abcdef";
   Origin_1 : constant String := "0123";
   By : constant String := "3210";
   Origin_2 : constant String := "cd";
   Regexp : constant String := "[0-9]+";
   By_2 : constant String := "#####";
   Source_2 : constant String := "toto(12)";
begin
   Ada.Text_IO.Put_Line (P42.String_Manipulation.Substitute (Source, Origin_1, By));
   Ada.Text_IO.Put_Line (P42.String_Manipulation.Substitute (Source, Origin_2, By));
   Ada.Text_IO.Put_Line (P42.String_Manipulation.Substitute_Regexp (Source, Regexp, By_2));
   Ada.Text_IO.Put_Line (P42.String_Manipulation.Substitute_Regexp (Source_2, Regexp, By_2));
   Ada.Text_IO.Put_Line (P42.String_Manipulation.Substitute_Regexp (Source_2, "\([0-9]+\)", By_2));
end Test_String_Manipulation;
